<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

        <variable
            name="model"
            type="com.dskj.trustlend.home.MainViewModel" />
    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:fitsSystemWindows="true"
        android:orientation="vertical">

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="?actionBarSize"
            android:background="@color/color_f7e9ff"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:paddingStart="@dimen/dp15"
            android:paddingEnd="@dimen/dp15">

            <ImageView
                android:id="@+id/back_iv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@mipmap/back_imgss" />

            <TextView
                android:id="@+id/title_tv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="34dp"
                android:textColor="#3B306C"
                android:textSize="24sp"
                android:textStyle="bold" />
        </androidx.appcompat.widget.LinearLayoutCompat>

        <androidx.core.widget.NestedScrollView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:overScrollMode="never"
            android:background="#E3CCF8">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">

                <androidx.cardview.widget.CardView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp15"
                    android:layout_marginTop="@dimen/dp15"
                    android:layout_marginEnd="@dimen/dp15"
                    android:layout_marginBottom="@dimen/dp8"
                    app:cardBackgroundColor="#F7E9FF"
                    app:cardCornerRadius="@dimen/dp10"
                    app:cardElevation="@dimen/dp5"
                    app:cardMaxElevation="@dimen/dp8">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="center_vertical"
                        android:orientation="vertical"
                        android:padding="@dimen/dp15">

                        <TextView
                            android:id="@+id/title_tv1"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:textColor="#3B306C"
                            android:textSize="16sp" />

                        <EditText
                            android:id="@+id/title_tv2"
                            android:layout_width="match_parent"
                            android:layout_height="50dp"
                            android:layout_marginTop="@dimen/dp10"
                            android:background="@drawable/inputbg_tre"
                            android:hint="Duration (Months)"
                            android:paddingStart="10dp"
                            android:digits="0123456789"
                            android:paddingEnd="@dimen/dp10"
                            android:inputType="numberDecimal"
                            android:textColor="#3B306C"
                            android:textColorHint="#998DB6"
                            android:textSize="14sp" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/dp20"
                            android:text="Loan Amount (HKD)"
                            android:textColor="#3B306C"
                            android:textSize="16sp" />

                        <EditText
                            android:layout_width="match_parent"
                            android:layout_height="50dp"
                            android:layout_marginTop="@dimen/dp10"
                            android:id="@+id/loan_amount_et"
                            android:background="@drawable/inputbg_tre"
                            android:hint="Loan Amount (HKD)"
                            android:paddingStart="10dp"
                            android:inputType="numberDecimal"
                            android:digits="0123456789"
                            android:paddingEnd="@dimen/dp10"
                            android:textColor="#3B306C"
                            android:textColorHint="#998DB6"
                            android:textSize="14sp" />
                    </LinearLayout>
                </androidx.cardview.widget.CardView>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp15"
                    android:layout_marginTop="@dimen/dp15"
                    android:text="Upload Documents"
                    android:textColor="#3B306C"
                    android:textSize="14sp" />

                <androidx.cardview.widget.CardView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp15"
                    android:layout_marginTop="@dimen/dp15"
                    android:layout_marginEnd="@dimen/dp15"
                    app:cardBackgroundColor="#F7E9FF"
                    android:layout_marginBottom="@dimen/dp8"
                    app:cardCornerRadius="@dimen/dp10"
                    app:cardElevation="@dimen/dp5"
                    app:cardMaxElevation="@dimen/dp8">
                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="center_vertical"
                        android:orientation="vertical"
                        android:padding="@dimen/dp15">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/dp5"
                            android:text="Upload Passport / ID Card Front View"
                            android:textColor="#3B306C"
                            android:textSize="16sp" />


                        <LinearLayout
                            android:id="@+id/image_ly1"
                            android:layout_width="match_parent"
                            android:layout_height="148dp"
                            android:layout_marginTop="@dimen/dp10"
                            android:background="@drawable/inputbg_tree"
                            android:paddingStart="10dp"
                            android:gravity="center_vertical"
                            android:paddingEnd="@dimen/dp10">

                            <ImageView
                                android:id="@+id/zhengmian_iv"
                                android:layout_width="128dp"
                                android:layout_height="128dp"
                                android:scaleType="centerInside"
                                android:src="@mipmap/app_lg"
                                android:background="@drawable/inputbg_tree"/>
                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="128dp"
                                android:orientation="horizontal"
                                android:gravity="center">
                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="Select Image"
                                    android:gravity="center_vertical"
                                    android:drawableTint="@color/color_3b306c"
                                    android:drawablePadding="@dimen/dp10"
                                    android:drawableLeft="@mipmap/add_imgs"
                                    android:textColor="#3B306C"
                                    android:textSize="14sp"
                                    />
                            </LinearLayout>

                        </LinearLayout>
                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/dp20"
                            android:text="Upload Bank Statement Front View"
                            android:textColor="#3B306C"
                            android:textSize="16sp" />


                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="148dp"
                            android:id="@+id/image_ly2"

                            android:layout_marginTop="@dimen/dp10"
                            android:background="@drawable/inputbg_tree"
                            android:paddingStart="10dp"
                            android:gravity="center_vertical"
                            android:paddingEnd="@dimen/dp10">

                            <ImageView
                                android:id="@+id/fanmian_iv"
                                android:layout_width="128dp"
                                android:layout_height="128dp"
                                android:scaleType="centerInside"
                                android:src="@mipmap/app_lg"
                                android:background="@drawable/inputbg_tree"/>
                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="128dp"
                                android:orientation="horizontal"
                                android:gravity="center">
                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="Select Image"
                                    android:gravity="center_vertical"
                                    android:drawableTint="@color/color_3b306c"

                                    android:drawablePadding="@dimen/dp10"
                                    android:drawableLeft="@mipmap/add_imgs"
                                    android:textColor="#3B306C"
                                    android:textSize="14sp"
                                    />
                            </LinearLayout>

                        </LinearLayout>
                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/dp20"
                            android:text="Upload previous month Electric / Water bill with address"
                            android:textColor="#3B306C"
                            android:textSize="16sp" />


                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="148dp"
                            android:id="@+id/image_ly3"
                            android:layout_marginTop="@dimen/dp10"
                            android:background="@drawable/inputbg_tree"
                            android:paddingStart="10dp"
                            android:layout_marginBottom="@dimen/dp10"
                            android:gravity="center_vertical"
                            android:paddingEnd="@dimen/dp10">

                            <ImageView
                                android:layout_width="128dp"
                                android:layout_height="128dp"
                                android:scaleType="centerInside"
                                android:src="@mipmap/app_lg"
                                android:id="@+id/bank_iv"
                                android:background="@drawable/inputbg_tree"/>
                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="128dp"
                                android:orientation="horizontal"
                                android:gravity="center">
                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="Select Image"
                                    android:gravity="center_vertical"
                                    android:drawableTint="@color/color_3b306c"
                                    android:drawablePadding="@dimen/dp10"
                                    android:drawableLeft="@mipmap/add_imgs"
                                    android:textColor="#3B306C"
                                    android:textSize="14sp"
                                    />
                            </LinearLayout>

                        </LinearLayout>
                    </LinearLayout>
                </androidx.cardview.widget.CardView>

                <Button
                    android:id="@+id/login_bt"
                    android:layout_width="match_parent"
                    android:layout_below="@id/remember_me_cb"
                    android:layout_height="50dp"
                    android:layout_marginTop="@dimen/dp20"
                    android:layout_marginBottom="@dimen/dp40"
                    android:text="submit"
                    android:layout_marginStart="@dimen/dp15"
                    android:layout_marginEnd="@dimen/dp15"
                    android:background="@drawable/button_bg_true"
                    android:textColor="#fffdfdfd"
                    android:textSize="16sp"
                    />
            </LinearLayout>
        </androidx.core.widget.NestedScrollView>
    </LinearLayout>
</layout>
